org.apache.sysds.parser

## Enum BuiltinConstant

- java.lang.Object
- - java.lang.Enum<BuiltinConstant>
  - - org.apache.sysds.parser.BuiltinConstant

- All Implemented Interfaces:
    Serializable, Comparable<BuiltinConstant>

      public enum BuiltinConstant
      extends Enum<BuiltinConstant>

  These are the builtin constants

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Inf`
    `NaN`
    `pi`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `contains(String name)`
    `DoubleIdentifier` | `get()`
    `static BuiltinConstant` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BuiltinConstant[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Inf

          public static final BuiltinConstant Inf

    - #### NaN

          public static final BuiltinConstant NaN

    - #### pi

          public static final BuiltinConstant pi

  - ### Method Detail

    - #### values

          public static BuiltinConstant[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BuiltinConstant c : BuiltinConstant.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BuiltinConstant valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public DoubleIdentifier get()

    - #### contains

          public static boolean contains(String name)

Copyright © 2020 The Apache Software Foundation. All rights reserved.